> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/key-link-beta/set-agent-user-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Set agent user id

> Can modify existing signing key id if the key is not enabled. The change done in background and will be visible once applied. If key is already enabled (after proof of ownership) the user cannot be changed.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml patch /key_link/signing_keys/{keyId}/agent_user_id
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /key_link/signing_keys/{keyId}/agent_user_id:
    patch:
      tags:
        - Key Link (Beta)
      summary: Set agent user id
      description: >-
        Can modify existing signing key id if the key is not enabled. The change
        done in background and will be visible once applied. If key is already
        enabled (after proof of ownership) the user cannot be changed.
      operationId: setAgentId
      parameters:
        - name: keyId
          required: true
          in: path
          description: The unique identifier for the signing key provided by Fireblocks
          schema:
            type: string
            example: 46a92767-5f93-4a46-9eed-f012196bb4fc
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifySigningKeyAgentIdDto'
      responses:
        '204':
          description: Agent user id modification process has started in background.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.keyLinkBeta.setAgentId(keyLinkBetaApiSetAgentIdRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.keyLinkBeta().setAgentId(modifySigningKeyAgentIdDto,
            keyId);
        - lang: Python
          source: >-
            response =
            fireblocks.key_link_beta.set_agent_id(modify_signing_key_agent_id_dto,
            key_id);
components:
  schemas:
    ModifySigningKeyAgentIdDto:
      type: object
      properties:
        agentUserId:
          type: string
          minLength: 36
          maxLength: 36
          example: d18847b5-1df6-4c46-8f99-5cce47284529
          description: Id of user that represent agent servers which signs with the key
      required:
        - agentUserId
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````